=== debian/changelog ===
deepin-fcitx5configtool-plugin (5.0.23) unstable; urgency=medium

  * chore: 特化打开搜狗输入法设置页面方式
    Issues: linuxdeepin/developer-center#10079

 -- zsien <quezhiyong@deepin.org>  Fri, 02 Aug 2024 11:13:09 +0800

deepin-fcitx5configtool-plugin (5.0.22) unstable; urgency=medium

  * chore: 修改打开应用商店的方式 (linuxdeepin/developer-center#8849)

 -- zsien <quezhiyong@deepin.org>  Fri, 07 Jun 2024 14:25:24 +0800

deepin-fcitx5configtool-plugin (5.0.21) unstable; urgency=medium

  * 重构代码
  * 合并最新 fcitx5-configtool
  * fix: elide text

 -- zsien <quezhiyong@deepin.org>  Mon, 15 Apr 2024 13:39:43 +0800

deepin-fcitx5configtool-plugin (5.0.20) unstable; urgency=medium

  * fix: will clear the shortcuts

 -- zsien <quezhiyong@deepin.org>  Fri, 15 Mar 2024 10:34:06 +0800

deepin-fcitx5configtool-plugin (5.0.19) unstable; urgency=medium

  * fix: shortcut of "Scroll bewteen input methods" is wrong

 -- zsien <quezhiyong@deepin.org>  Fri, 01 Mar 2024 13:04:11 +0800

deepin-fcitx5configtool-plugin (5.0.18) unstable; urgency=medium

  * 修复打开高级设置后切换页面控制中心崩溃
  * fix build errors
  * fix setting shortcut failed
  * update translations

 -- zsien <quezhiyong@deepin.org>  Thu, 28 Dec 2023 10:32:42 +0800

deepin-fcitx5configtool-plugin (5.0.17) unstable; urgency=medium

  * load translations in dde-control-center 

 -- zsien <quezhiyong@uniontech.com>  Fri, 05 May 2023 10:07:55 +0800

deepin-fcitx5configtool-plugin (5.0.16) unstable; urgency=medium

  * fix the actions in the list are displayed incorrectly
  * fix missing line splitter for enabled language

 -- zsien <quezhiyong@uniontech.com>  Wed, 12 Apr 2023 14:42:13 +0800

deepin-fcitx5configtool-plugin (5.0.15) unstable; urgency=medium

  * Fix actions are not displayed when hovering
  * Fix open advanced setting page block
  * Improve keyboard layout indication
  * Refactor the pages

 -- zsien <quezhiyong@uniontech.com>  Tue, 28 Mar 2023 15:48:05 +0800

deepin-fcitx5configtool-plugin (5.0.14) unstable; urgency=medium

  * Fix build failure

 -- zsien <quezhiyong@uniontech.com>  Mon, 20 Feb 2023 17:08:22 +0800

deepin-fcitx5configtool-plugin (5.0.13) unstable; urgency=medium

  * 修复输入方式设置页面按钮没翻译

 -- zsien <quezhiyong@uniontech.com>  Fri, 17 Feb 2023 16:26:44 +0800

deepin-fcitx5configtool-plugin (5.0.12) UNRELEASED; urgency=medium

  * Modify the version number

 -- liuchenghao <liuchenghao@uniontech.com>  Feb, 1 Wed 2023 14:50:01 +0800

 deepin-fcitx5configtool-plugin (5.0.11) UNRELEASED; urgency=medium

  * Increase the translation

 -- liuchenghao <liuchenghao@uniontech.com>  Mon, 30 Jan 2023 19:26:01 +0800

deepin-fcitx5configtool-plugin (5.0.10) UNRELEASED; urgency=medium

  * Increase the specified component functions

 -- liuchenghao <liuchenghao@uniontech.com>  Tue, 3 Jan 2023 17:34:20 +0800

deepin-fcitx5configtool-plugin (5.0.9) UNRELEASED; urgency=medium

  * Adaptive dde control center

 -- liuchenghao <liuchenghao@uniontech.com>  Fri, 30 Dec 2022 09:34:20 +0800

deepin-fcitx5configtool-plugin (5.0.8) UNRELEASED; urgency=medium

  * fix bug

 -- yaoyongjie <yaoyongjie@uniontech.com>  Mon, 14 Nov 2022 17:34:20 +0000

deepin-fcitx5configtool-plugin (5.0.7) UNRELEASED; urgency=medium

  * fix bug

 -- guonafu <guonafu@uniontech.com>  Fri, 14 Oct 2022 02:12:43 +0000

deepin-fcitx5configtool-plugin (5.0.6) unstable; urgency=medium

  * 修改遗留bug

 -- zhaoyue <zhaoyue@uniontech.com>  Wed, 15 Jun 2022 16:51:52 +0000

deepin-fcitx5configtool-plugin (5.0.1) unstable; urgency=medium

  * Initial Release.

 -- liuwenhao <liuwenhao@uniontech.com>  Wed, 13 Jan 2021 09:26:45 +0800
