=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DENABLE_KCM=Off

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

override_dh_missing:
	dh_missing --list-missing
