=== debian/changelog ===
deepin-fcitx5configtool-plugin (5.0.24) unstable; urgency=medium

  * feat: 输入法管理中应不允许删除所有输入法,至少需要保留一个输入法 (#45)

 -- Yutao Meng <mengyutao@deepin.org>  Thu, 26 Sep 2024 13:35:45 +0800
