=== debian/control ===
Source: deepin-fcitx5configtool-plugin
Priority: optional
Section: utils
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends:
 cmake,
 dde-control-center-dev,
 debhelper-compat (= 13),
 extra-cmake-modules,
 gettext,
 iso-codes,
 libdtkcore-dev,
 libdtkwidget-dev,
 libfcitx5-qt-dev (>= 5.1),
 libfcitx5core-dev (>= 5.1),
 libfcitx5utils-dev (>= 5.1),
 libkf5coreaddons-dev,
 libkf5declarative-dev,
 libkf5i18n-dev,
 libkf5package-dev,
 libkf5plasma-dev,
 libqt5svg5-dev,
 libqt5x11extras5-dev,
 libxkbcommon-dev,
 libxkbfile-dev,
 pkg-config,
 qtbase5-dev (>= 5.12),
 qtquickcontrols2-5-dev,
 qttools5-dev,
 xkb-data,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/fcitx/fcitx5-configtool
Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-configtool.git
Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-configtool

Package: deepin-fcitx5configtool-plugin
Architecture: any
Depends:
  ${shlibs:Depends},
  ${misc:Depends},
  fcitx5-module-xorg,
Description: New Fcitx Configtool for Deepin Desktop Environment - development files
 Deepin Fcitxconfigtool Plugin is DDE Control Center plugin for Config Fcitx.
