## deepin-fcitx5configtool-plugin 6.0.8

=== debian/changelog ===
deepin-fcitx5configtool-plugin (6.0.8) unstable; urgency=medium

  * bump version to 6.0.8.
  * Add fcitx5-helper executable and desktop entry.

 -- Wang Yu <wangyu@uniontch.com>  Tue, 13 May 2025 15:36:29 +0800

deepin-fcitx5configtool-plugin (6.0.7) unstable; urgency=medium

  * bump version to 6.0.7
  * Fix translations for dde control center plugin.

 -- re2zero <yangwu@uniontech.com>  Fri, 28 Mar 2025 14:18:19 +0800

deepin-fcitx5configtool-plugin (6.0.6) unstable; urgency=medium

  * bump version to 6.0.6
  * Merge Qt5 and Qt6 build.

 -- re2zero <yangwu@uniontech.com>  Thu, 27 Mar 2025 13:25:42 +0800

deepin-fcitx5configtool-plugin (6.0.5) unstable; urgency=medium

  * fix: adjust spacing between labels in AdvancedSettingsModule
  * fix: update input method settings icon name
  * fix: update font styling and parent-child relationships in QML files
  * fix: adapt input method icon for dark theme mode
  * fix: add rounded corners to input method items

 -- Wang Yu <wangyu@uniontch.com>  Thu, 20 Mar 2025 18:53:11 +0800

deepin-fcitx5configtool-plugin (6.0.4) unstable; urgency=medium

  * feat: implement drag-and-drop reordering for input method list
  * fix: [ui] Text not aligned with checkbox

 -- Zhang Sheng <zhangsheng@uniontech.com>  Thu, 02 Jan 2025 19:50:00 +0800

deepin-fcitx5configtool-plugin (6.0.3) unstable; urgency=medium

  * fix bugs

 -- Zhang Sheng <zhangsheng@uniontech.com>  Fri, 13 Dec 2024 17:28:23 +0800

deepin-fcitx5configtool-plugin (6.0.2) unstable; urgency=medium

  * update version.
  * feat: add description for input method settings and update translations
  * fix: improve input method settings UI and translations

 -- Wang Yu <wangyu@uniontch.com>  Sat, 07 Dec 2024 15:55:56 +0800

deepin-fcitx5configtool-plugin (6.0.1) unstable; urgency=medium

  * update version
  * add QML feature

 -- Liu zheng <liuzheng@uniontech.com>  Thu, 28 Nov 2024 15:19:49 +0800
