## deepin-fcitx5configtool-plugin 6.0.12

=== debian/changelog ===
deepin-fcitx5configtool-plugin (6.0.12) unstable; urgency=medium

  * fix bugs

 -- Zhang Sheng <zhangsheng@uniontech.com>  Fri, 27 Jun 2025 17:32:22 +0800

deepin-fcitx5configtool-plugin (6.0.11) unstable; urgency=medium

  * chore: update translations (#95)

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Mon, 23 Jun 2025 13:51:08 +0800

deepin-fcitx5configtool-plugin (6.0.10) unstable; urgency=medium

  * fix ui bug

 -- Zhang Sheng <zhangsheng@uniontech.com>  Wed, 18 Jun 2025 17:00:15 +0800

deepin-fcitx5configtool-plugin (6.0.9) unstable; urgency=medium

  * bump version to 6.0.9.
  * chore: [log]More logs.
  * fix: update InputMethodsChooser UI for better readability.

 -- Wang Yu <wangyu@uniontch.com>  Thu, 12 Jun 2025 20:22:27 +0800
