=== src-old/po/CMakeLists.txt ===
add_subdirectory(fcitx5-configtool)
