=== debian/changelog ===
deepin-fcitx5configtool-plugin (6.0.13) unstable; urgency=medium

  * update translations.

 -- Liuyangming <liuyangming@uniontech.com>  Thu, 03 Jul 2025 16:05:42 +0800
