=== debian/control ===
--- 
+++ 
@@ -9,24 +9,21 @@
  extra-cmake-modules,
  gettext,
  iso-codes,
- libdtkcore-dev,
- libdtkwidget-dev,
- libfcitx5-qt-dev (>= 5.1),
+ qt6-5compat-dev | libqt5x11extras5-dev,
+ qt6-base-dev | qtbase5-dev (>= 5.12),
+ qt6-declarative-dev | qtquickcontrols2-5-dev,
+ qt6-tools-dev | qttools5-dev,
+ qt6-svg-dev | libqt5svg5-dev,
+ libdtk6core-dev | libdtkcore-dev,
+ libdtk6widget-dev | libdtkwidget-dev,
+ libfcitx5-qt6-dev (>= 5.1.4) | libfcitx5-qt-dev (>= 5.1),
  libfcitx5core-dev (>= 5.1),
  libfcitx5utils-dev (>= 5.1),
- libkf5coreaddons-dev,
- libkf5declarative-dev,
- libkf5i18n-dev,
- libkf5package-dev,
- libkf5plasma-dev,
- libqt5svg5-dev,
- libqt5x11extras5-dev,
+ libkf6widgetsaddons-dev | libkf5widgetsaddons-dev,
+ libkf6itemviews-dev | libkf5itemviews-dev,
  libxkbcommon-dev,
  libxkbfile-dev,
  pkg-config,
- qtbase5-dev (>= 5.12),
- qtquickcontrols2-5-dev,
- qttools5-dev,
  xkb-data,
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
