## deepin-fcitx5configtool-plugin 6.0.16

=== debian/changelog ===
deepin-fcitx5configtool-plugin (6.0.16) unstable; urgency=medium

  * fix: resolve naming conflicts and add loading state in QML components.

 -- Wang Yu <wangyu@uniontch.com>  Fri, 08 Aug 2025 15:37:25 +0800

deepin-fcitx5configtool-plugin (6.0.15) unstable; urgency=medium

  * chore: Add new Lao translation file

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 07 Aug 2025 17:47:09 +0800

deepin-fcitx5configtool-plugin (6.0.14) unstable; urgency=medium

  * add single instance lock mechanism for fcitx5-helper

 -- Wang Yu <wangyu@uniontch.com>  Thu, 31 Jul 2025 16:36:51 +0800
