=== src-old/src/CMakeLists.txt ===
add_subdirectory(lib)
add_subdirectory(dcc-module)
