=== src-old/src/lib/CMakeLists.txt ===
add_subdirectory(configlib)
add_subdirectory(configwidgetslib)
