=== debian/changelog ===
deepin-fcitx5configtool-plugin (6.0.19) unstable; urgency=medium

  * fix: add Lao translation file & font alignment issue

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Sat, 11 Oct 2025 09:47:03 +0800

deepin-fcitx5configtool-plugin (6.0.18) unstable; urgency=medium

  * feat: enhance shortcut configuration in QML
  * feat: integrate keyboard layout module and enhance configuration

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Tue, 23 Sep 2025 19:15:41 +0800

deepin-fcitx5configtool-plugin (6.0.17) unstable; urgency=medium

  * fix: update translations of fr

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 18 Sep 2025 19:29:59 +0800
