=== debian/control ===
--- 
+++ 
@@ -23,6 +23,8 @@
  libkf6itemviews-dev | libkf5itemviews-dev,
  libxkbcommon-dev,
  libxkbfile-dev,
+ libicu-dev,
+ libpolkit-qt6-1-dev,
  pkg-config,
  xkb-data,
 Standards-Version: 4.6.2
